/api/sd/coin
GET可用

币种一站式数据包(OI、资金费率、爆仓、成交量、多空比)

自采数据层:币种一站式数据包(OI / 资金费率 / 爆仓 / 成交量 / 多空比,各数据块故障隔离)

GET/api/sd/coin

请求

查询参数

名称类型必填默认值可选值说明
coinstring必填——币种代码;缺失时返回 400。别名:`base`。 示例: BTC

请求示例

curl -s "https://www.coinboss.com/api/sd/coin?coin=BTC"

响应字段

字段表根据真实响应生成,因此所列内容与端点实际返回的完全一致。路径中 a[] 表示数组元素,{*} 表示以动态名称(如币种或交易所)为键的对象。

字段类型单位说明
successboolean—请求成功时为 true。失败时响应体为 `{ success: false, code, error, request_id }`。
coinstring—币种代码,大写(例如 BTC)。
nownumberms响应生成时的服务器时间。
oiobject—与 `/api/sd/oi` 针对该币种返回的对象相同。
oi.coinstring—币种代码,大写(例如 BTC)。
oi.nownumberms响应生成时的服务器时间。
oi.total_usdnumberUSD全部已计入交易所和合约的持仓量,按各交易所上报的口径(USD 名义价值)。
oi.n_exchangesnumber—合计中的交易所数量。
oi.n_contractsnumber—合计中的合约数量。
oi.asofnumberms已计入各行中最新的更新时间。
oi.total_usd_single_adjustednumberUSD将同时上报多空双边的交易所(`double_sided.exchanges`)的数值减半后的 `total_usd`,使每家交易所都只计单边。
oi.double_sidedobject—已知将多头 + 空头持仓量合并为一个数字公布的交易所。
oi.double_sided.exchangesarray—交易所。
oi.double_sided.exchanges[]string—交易所。
oi.double_sided.oi_usdnumberUSD这些交易所减半之前上报的持仓量。
oi.by_kindobject—按线性 / 反向拆分。
oi.by_kind.linear_usdnumberUSD线性合约(以稳定币或 USD 作为保证金并结算)的持仓量。
oi.by_kind.inverse_usdnumberUSD反向(币本位)合约的持仓量,按合约价格换算为 USD。
oi.by_marginobject—按保证金币种拆分。
oi.by_margin.othernumberUSD其他保证金币种(例如 CME 等以 USD 结算的交易所)。
oi.by_margin.usdtnumberUSDUSDT 本位合约。
oi.by_margin.usdcnumberUSDUSDC 本位合约。 可能缺失
oi.by_margin.coinnumberUSD币本位合约。 可能缺失
oi.by_contract_typeobject—按永续 / 交割拆分。
oi.by_contract_type.perpetual_usdnumberUSD永续合约。
oi.by_contract_type.delivery_usdnumberUSD交割合约(有到期日的期货)。
oi.changeobject—持仓量在 1h / 4h / 24h 内的变化,两端均基于同一组合约计算。 动态键: h1,h4,h24
oi.change.{*}object—在所述周期内的变化。
oi.change.{*}.pctnumber%`prev` 与 `cur` 之间的变化百分比。
oi.change.{*}.curnumberUSD已匹配合约的当前合计。
oi.change.{*}.prevnumberUSD同一组合约在 `prev_ts` 时刻的合计。
oi.change.{*}.n_matchednumber—两端都存在的合约(或交易所)。
oi.change.{*}.n_totalnumber—当前存在的合约(或交易所)。
oi.change.{*}.matched_share_pctnumber%已匹配集合所覆盖的当前持仓量占比。 可能缺失
oi.change.{*}.prev_tsnumberms基准快照的时间。
oi.change.{*}.span_minnumbermin基准与当前时刻之间的实际间隔。
oi.change.{*}.basisstring—基准来自哪个快照序列。
oi.change.{*}.frozen_excludedobject—因数值在两次快照之间没有变动(数据源未更新)而未计入变化的行。 可能缺失
oi.change.{*}.frozen_excluded.n_baselinenumber—基准快照中的条目。 可能缺失
oi.change.{*}.frozen_excluded.n_currentnumber—当前快照中的条目。 可能缺失
oi.change.{*}.frozen_excluded.cur_usdnumberUSD当前值。 可能缺失
oi.change.{*}.frozen_excluded.prev_usdnumberUSD基准值。 可能缺失
oi.by_exchangearray—各交易所明细。
oi.by_exchange[]object—各交易所明细。
oi.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
oi.by_exchange[].oi_usdnumberUSD持仓量,以 USD 名义价值计。
oi.by_exchange[].share_pctnumber%占总量的比例。
oi.by_exchange[].n_contractsnumber—合约数量。
oi.by_exchange[].linear_usdnumberUSD线性合约。
oi.by_exchange[].inverse_usdnumberUSD反向(币本位)合约。
oi.by_exchange[].perpetual_usdnumberUSD永续合约。
oi.by_exchange[].delivery_usdnumberUSD交割合约。
oi.by_exchange[].oi_sidestring—交易所将双边合并为一个数字上报时为 `double`,上报单边时为 `single`,交易所文档未说明时为 `unstated`。
oi.by_exchange[].oi_usd_single_adjustednumber|nullUSD单边等值;单双边口径未说明时为 null。
oi.by_exchange[].updated_atnumberms该行最近一次更新的时间。
oi.by_exchange[].age_snumbers该行距上次更新的秒数。
oi.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
oi.contractsarray—各合约的数据行。
oi.contracts[]object—各合约的数据行。
oi.contracts[].exchangestring—交易所 ID,小写(例如 `binance`)。
oi.contracts[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
oi.contracts[].native_symbolstring|null—与交易所写法完全一致的合约代码。
oi.contracts[].oi_usdnumberUSD持仓量,以 USD 名义价值计。
oi.contracts[].oi_sidestring—`double`、`single` 或 `unstated`:交易所是否将持仓量的双边合并为一个数字上报。
oi.contracts[].oi_usd_singlenumber|nullUSD`oi_usd` 的单边等值;单双边口径未说明时为 null。
oi.contracts[].marginstring—保证金币种类别:`usdt`、`usdc`、`coin` 或 `other`。
oi.contracts[].kindstring—`linear` 或 `inverse`。
oi.contracts[].contract_typestring—`perpetual` 或 `delivery`。
oi.contracts[].expiry_tsnumber|nullms交割合约的到期日;永续合约或未公布时为 null。
oi.contracts[].margin_basisstring—保证金类别的判定依据(来自合约规格或交易所默认值)。
oi.contracts[].updated_atnumberms该行最近一次更新的时间。
oi.contracts[].age_snumbers该行距上次更新的秒数。
oi.contracts[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
oi.contracts[].collectorstring—生成该行的内部采集器。
oi.contracts[].included_sincenumber|nullms该合约计入合计的时间;基础集合为 null。
oi.coverageobject—上述数值包含什么、不包含什么。在与其他数据源比较合计之前,请先比对这一点。
oi.coverage.included_exchangesarray—数据已计入合计的交易所。
oi.coverage.included_exchanges[]string—已计入合计的交易所。
oi.coverage.pendingarray—已采集但尚未计入合计的合约(例如其自身的 25 小时历史仍在积累中)。它们与当前值一并列出,使缺口一目了然。
oi.coverage.pending[]object—已采集但尚未计入的条目。
oi.coverage.pending[].exchangestring—交易所 ID,小写(例如 `binance`)。
oi.coverage.pending[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
oi.coverage.pending[].native_symbolstring—与交易所写法完全一致的合约代码。
oi.coverage.pending[].marginstring—保证金币种类别。
oi.coverage.pending[].contract_typestring—`perpetual` 或 `delivery`。
oi.coverage.pending[].oi_usdnumberUSD持仓量,以 USD 名义价值计。
oi.coverage.pending[].age_snumbers该行距上次更新的秒数。
oi.coverage.pending[].reasonstring—原因代码。
oi.coverage.pending[].detailstring|null—详情。
oi.coverage.pending_usdnumber|nullUSD待计入合约的合计,不属于 `total_usd`。
oi.coverage.stale_excludedarray—因最近一次更新超出可用窗口而被排除的行。 在生成此表所用的样本中为空
oi.coverage.unavailablearray—无法计入的交易所 / 合约组合,每项均附原因。它们绝不会按 0 计。
oi.coverage.unavailable[]object—没有可用数据的条目,附原因。绝不会上报为 0。
oi.coverage.unavailable[].exchangestring—交易所 ID,小写(例如 `binance`)。
oi.coverage.unavailable[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
oi.coverage.unavailable[].native_symbolstring—与交易所写法完全一致的合约代码。
oi.coverage.unavailable[].marginstring—保证金币种类别。
oi.coverage.unavailable[].contract_typestring—`perpetual` 或 `delivery`。
oi.coverage.unavailable[].reasonstring—原因代码。
oi.coverage.unavailable[].detailstring—详情。
oi.methodobject—以纯文本说明本响应所用的公式。
oi.method.totalstring—总数。
oi.method.usdstringUSD数值。
oi.method.change_h1_h4string—1h 和 4h 持仓量变化的纯文本定义:每个合约与其自身距窗口起点最近的快照进行比较。
oi.method.change_h24string—24h 持仓量变化的纯文本定义:同一交易所配对,对比距 24 小时前最近的小时快照,冻结的基准已剔除。
oi.method.oi_sidestring—`double`、`single` 或 `unstated`:交易所是否将持仓量的双边合并为一个数字上报。
fundingobject—与 `/api/sd/funding` 针对该币种返回的对象相同。
funding.coinstring—币种代码,大写(例如 BTC)。
funding.nownumberms响应生成时的服务器时间。
funding.unitstring—本响应中所有费率字段的单位:`fraction`(0.0001 = 0.01 %)。
funding.avg_8hnumberfraction per 8h8h 归一化费率的简单均值,每家交易所取一个合约。
funding.oi_weighted_8hnumberfraction per 8h8h 归一化费率的持仓量加权均值。
funding.apr_pctnumber% per year简单年化:8h 费率 × 3 × 365 × 100。
funding.apr_basisstring—主要展示的 `apr_pct` 所依据的聚合值。
funding.n_exchangesnumber—参与计算的交易所数量。
funding.n_normalizednumber—资金费周期已知、可归一化到 8h 的交易所。
funding.n_unknown_intervalnumber—因资金费周期未知而未计入聚合值的交易所。
funding.settled_cum_7dobject—最近 7 天实际结算的资金费率之和,在有结算历史的交易所之间取平均。
funding.settled_cum_7d.avgnumberfraction各交易所的简单均值。
funding.settled_cum_7d.oi_weightednumberfraction持仓量加权均值。
funding.settled_cum_7d.nnumber—窗口数据完整的交易所。
funding.settled_cum_30dobject—同上,按 30 天计。
funding.settled_cum_30d.avgnumberfraction各交易所的简单均值。
funding.settled_cum_30d.oi_weightednumberfraction持仓量加权均值。
funding.settled_cum_30d.nnumber—窗口数据完整的交易所。
funding.by_exchangearray—每家交易所一行:该币种在该交易所的主力合约(持仓量最大的合约)。
funding.by_exchange[]object—各交易所明细。
funding.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
funding.by_exchange[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
funding.by_exchange[].marginstring—保证金币种类别。
funding.by_exchange[].kindstring—种类。
funding.by_exchange[].primaryboolean—该合约在聚合值中代表其所属交易所(持仓量最大的合约)时为 true;在本列表中始终为 true。
funding.by_exchange[].ratenumber—费率。
funding.by_exchange[].interval_hnumberh周期。
funding.by_exchange[].rate_8hnumber—归一化到 8 小时周期的费率。
funding.by_exchange[].apr_pctnumber% per year年化百分比。
funding.by_exchange[].next_funding_timenumber|nullms时间戳。
funding.by_exchange[].next_derivedboolean—交易所未公布 `next_funding_time`、由系统推断为下一个 UTC 整点时为 true(仅限按小时结算的交易所)。
funding.by_exchange[].predicted_ratenull—下一周期的预测费率;未公布时为 null。
funding.by_exchange[].oi_usdnumber|nullUSD持仓量,以 USD 名义价值计。
funding.by_exchange[].updated_atnumberms该行最近一次更新的时间。
funding.by_exchange[].age_snumbers该行距上次更新的秒数。
funding.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
funding.by_exchange[].settledobject|null—实际结算记录;没有公开历史时为 null。
funding.by_exchange[].settled.last_ratenumberfraction最近一次结算(`last_time`)实际收取的资金费率,取自交易所的资金费率历史(0.0001 = 0.01 %)。 可能缺失
funding.by_exchange[].settled.last_timenumberms时间戳。 可能缺失
funding.by_exchange[].settled.interval_hnumberh周期。 可能缺失
funding.by_exchange[].settled.cum_7dnumberfraction该合约最近 7 天已结算资金费率之和(0.0015 = 0.15 %);没有记录到结算时为 null。 可能缺失
funding.by_exchange[].settled.n_7dnumbercount最近 7 天采集到的结算记录数。 可能缺失
funding.by_exchange[].settled.n_7d_expectednumbercount完整 7 天窗口应包含的结算次数:168 ÷ 结算周期(小时);周期未知时为 null。 可能缺失
funding.by_exchange[].settled.cum_7d_completeboolean—历史数据覆盖 7 天窗口的起点,且至少包含应有结算次数的 90 % 时为 true。 可能缺失
funding.by_exchange[].settled.cum_30dnumberfraction该合约最近 30 天已结算资金费率之和(0.006 = 0.6 %)。 可能缺失
funding.by_exchange[].settled.n_30dnumbercount最近 30 天采集到的结算记录数。 可能缺失
funding.by_exchange[].settled.n_30d_expectednumbercount完整 30 天窗口应包含的结算次数:720 ÷ 结算周期(小时);周期未知时为 null。 可能缺失
funding.by_exchange[].settled.cum_30d_completeboolean—历史数据覆盖 30 天窗口的起点,且至少包含应有结算次数的 90 % 时为 true。 可能缺失
funding.by_exchange[].settled.history_fromnumberms所存最早的记录。 可能缺失
funding.other_contractsarray—同一币种的其他合约(USDC 本位、币本位等)。不计入聚合值。
funding.other_contracts[]object—某交易所的一个附加资金费合约(币本位、USDC 等),它不是该交易所的主合约,不计入聚合值。
funding.other_contracts[].exchangestring—交易所 ID,小写(例如 `binance`)。
funding.other_contracts[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
funding.other_contracts[].marginstring—保证金币种类别。
funding.other_contracts[].kindstring—种类。
funding.other_contracts[].primaryboolean—本列表中每一行均为 false:该合约不是在聚合值中代表其所属交易所的合约。
funding.other_contracts[].ratenumber—费率。
funding.other_contracts[].interval_hnumber|nullh周期。
funding.other_contracts[].rate_8hnumber|null—归一化到 8 小时周期的费率。
funding.other_contracts[].apr_pctnumber|null% per year年化百分比。
funding.other_contracts[].next_funding_timenumber|nullms时间戳。
funding.other_contracts[].next_derivedboolean—交易所未公布 `next_funding_time`、由系统推断为下一个 UTC 整点时为 true(仅限按小时结算的交易所)。
funding.other_contracts[].predicted_ratenumber|null—下一周期的预测费率;未公布时为 null。
funding.other_contracts[].oi_usdnumber|nullUSD持仓量,以 USD 名义价值计。
funding.other_contracts[].updated_atnumberms该行最近一次更新的时间。
funding.other_contracts[].age_snumbers该行距上次更新的秒数。
funding.other_contracts[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
funding.other_contracts[].settledobject|null—实际结算记录;没有公开历史时为 null。
funding.other_contracts[].settled.last_ratenumberfraction最近一次结算(`last_time`)实际收取的资金费率,取自交易所的资金费率历史(0.0001 = 0.01 %)。 可能缺失
funding.other_contracts[].settled.last_timenumberms时间戳。 可能缺失
funding.other_contracts[].settled.interval_hnumberh周期。 可能缺失
funding.other_contracts[].settled.cum_7dnumberfraction该合约最近 7 天已结算资金费率之和(0.0015 = 0.15 %);没有记录到结算时为 null。 可能缺失
funding.other_contracts[].settled.n_7dnumbercount最近 7 天采集到的结算记录数。 可能缺失
funding.other_contracts[].settled.n_7d_expectednumbercount完整 7 天窗口应包含的结算次数:168 ÷ 结算周期(小时);周期未知时为 null。 可能缺失
funding.other_contracts[].settled.cum_7d_completeboolean—历史数据覆盖 7 天窗口的起点,且至少包含应有结算次数的 90 % 时为 true。 可能缺失
funding.other_contracts[].settled.cum_30dnumberfraction该合约最近 30 天已结算资金费率之和(0.006 = 0.6 %)。 可能缺失
funding.other_contracts[].settled.n_30dnumbercount最近 30 天采集到的结算记录数。 可能缺失
funding.other_contracts[].settled.n_30d_expectednumbercount完整 30 天窗口应包含的结算次数:720 ÷ 结算周期(小时);周期未知时为 null。 可能缺失
funding.other_contracts[].settled.cum_30d_completeboolean—历史数据覆盖 30 天窗口的起点,且至少包含应有结算次数的 90 % 时为 true。 可能缺失
funding.other_contracts[].settled.history_fromnumberms所存最早的记录。 可能缺失
funding.coverageobject—上述数值包含什么、不包含什么。在与其他数据源比较合计之前,请先比对这一点。
funding.coverage.settle_history_exchangesarray—已采集实际结算记录的交易所。
funding.coverage.settle_history_exchanges[]string—已为该币种采集实际资金费结算记录的交易所 ID。
funding.coverage.no_settle_historyarray—没有公开结算历史数据源的交易所;其 `settled` 为 null。
funding.coverage.no_settle_history[]string—主合约没有采集到结算历史的交易所 ID,因此其 `settled` 块为 null。
funding.coverage.unknown_intervalarray—无法确定资金费周期的行。 在生成此表所用的样本中为空
funding.coverage.no_liveness_excludedarray—因合约没有任何交易迹象(近期没有行情、持仓量或报价)而被排除的行。 在生成此表所用的样本中为空
funding.methodobject—以纯文本说明本响应所用的公式。
funding.method.ratestring—费率。
funding.method.rate_8hstring—归一化到 8 小时周期的费率。
funding.method.apr_pctstring% per year年化百分比。
funding.method.aggregatestring—跨交易所聚合值。
funding.method.settledstring—实际结算记录;没有公开历史时为 null。
funding.method.predicted_ratestring—下一周期的预测费率;未公布时为 null。
funding.method.livenessstring—剔除失效合约的纯文本规则:资金费行只有在 1h 内有行情、3h 内有持仓量或 3h 内有自身报价时才计入。
liquidationsobject—与 `/api/sd/liquidations` 针对该币种返回的对象相同。
liquidations.coinstring—币种代码,大写(例如 BTC)。
liquidations.nownumberms响应生成时的服务器时间。
liquidations.windowsobject—各时间窗口的合计(键如 `1h`、`4h`、`12h`、`24h`)。 动态键: 1h,4h,12h,24h
liquidations.windows.{*}object—各时间窗口的数值。
liquidations.windows.{*}.long_usdnumberUSD多头爆仓额;没有数据源覆盖该窗口时为 null。
liquidations.windows.{*}.short_usdnumberUSD空头爆仓额;没有数据源覆盖该窗口时为 null。
liquidations.windows.{*}.total_usdnumberUSD多头 + 空头。
liquidations.windows.{*}.countnumber—爆仓单数量。
liquidations.windows.{*}.long_pctnumber%多头在合计中的占比。
liquidations.windows.{*}.max_orderobject—窗口内的最大单笔爆仓。
liquidations.windows.{*}.max_order.exchangestring—交易所 ID,小写(例如 `binance`)。
liquidations.windows.{*}.max_order.symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
liquidations.windows.{*}.max_order.sidestring—`long` / `short` 或 `buy` / `sell`。
liquidations.windows.{*}.max_order.pricenumber—以计价货币表示的最新价格(除非另有说明,为 USD 或 USDT)。
liquidations.windows.{*}.max_order.qtynumber—数量。
liquidations.windows.{*}.max_order.contract_multipliernumberx最大一笔爆仓单的合约每个报价单位所代表的币数(1000PEPE 这类合约为 1000);`price` 和 `qty` 已换算为单个币。
liquidations.windows.{*}.max_order.value_usdnumberUSD数值。
liquidations.windows.{*}.max_order.timestampnumberms时间戳。
liquidations.by_exchangeobject—各时间窗口的交易所拆分。 动态键: 1h,4h,12h,24h
liquidations.by_exchange.{*}array—各交易所明细。
liquidations.by_exchange.{*}[]object—各交易所明细。
liquidations.by_exchange.{*}[].exchangestring—交易所 ID,小写(例如 `binance`)。
liquidations.by_exchange.{*}[].long_usdnumberUSD多头侧。
liquidations.by_exchange.{*}[].short_usdnumberUSD空头侧。
liquidations.by_exchange.{*}[].total_usdnumberUSD总数。
liquidations.by_exchange.{*}[].countnumber—条目数量。
liquidations.by_exchange.{*}[].share_pctnumber%占总量的比例。
liquidations.last_event_atnumberms该币种最近一次爆仓的时间。
liquidations.last_event_age_snumbers距该事件的秒数。
liquidations.sourcesarray—每个爆仓数据源的状态:采集方式以及最近一次送达数据的时间。
liquidations.sources[]object—数据来源。
liquidations.sources[].exchangestring—交易所 ID,小写(例如 `binance`)。
liquidations.sources[].viastring—采集方式(`ws`、`rest` 等)。
liquidations.sources[].statusstring—根据数据源自身的事件时间和心跳判定的状态。
liquidations.sources[].feed_last_event_age_snumber|nulls距该事件的秒数。
liquidations.sources[].ws_heartbeat_age_snumber|nulls距该事件的秒数。
liquidations.sources[].judged_bystring—状态是依据哪个时间戳判定的。
liquidations.sources[].coin_last_event_age_snumber|nulls距该事件的秒数。
liquidations.sources[].min_event_usdnumberUSD该数据源公布的最小订单规模;小于此规模的爆仓在该交易所不可见。
liquidations.sources[].notestring|null—备注。
liquidations.sources[].node_heartbeat_age_snumbers距该事件的秒数。 可能缺失
liquidations.sources[].pipeline_last_event_age_snumbers距该事件的秒数。 可能缺失
liquidations.coverageobject—上述数值包含什么、不包含什么。在与其他数据源比较合计之前,请先比对这一点。
liquidations.coverage.collected_exchangesarray—有公开爆仓数据源且 CoinBoss 已采集的交易所。
liquidations.coverage.collected_exchanges[]string—已采集的交易所。
liquidations.coverage.unavailablearray—无法计入的交易所 / 合约组合,每项均附原因。它们绝不会按 0 计。
liquidations.coverage.unavailable[]object—没有可用数据的条目,附原因。绝不会上报为 0。
liquidations.coverage.unavailable[].exchangestring—交易所 ID,小写(例如 `binance`)。
liquidations.coverage.unavailable[].reasonstring—原因代码。
liquidations.methodobject—以纯文本说明本响应所用的公式。
liquidations.method.eventstring—关于一条爆仓事件含义的纯文本说明:由交易所推送流推送、或由其公开 REST API 返回的一笔爆仓单。
liquidations.method.sidestring—`long` / `short` 或 `buy` / `sell`。
liquidations.method.value_usdstringUSD数值。
liquidations.method.dedupestring—关于去重的纯文本说明:事件按交易所、合约、方向、价格、金额和时间戳确定唯一性,交易所提供订单 ID 时一并纳入。
liquidations.method.null_rulestring—纯文本说明:没有采集到任何事件的时间窗口返回 null 而不是 0,并注明没有公开数据流的交易所列在何处。
liquidations.method.binance_notestring—纯文本提示:Binance 对每个合约每秒最多推送一笔爆仓,因此 Binance 的合计为下限值。
liquidations.method.min_event_usdstringUSD该数据源公布的最小订单。
volumeobject—与 `/api/sd/volume` 针对该币种返回的对象相同。
volume.coinstring—币种代码,大写(例如 BTC)。
volume.nownumberms响应生成时的服务器时间。
volume.futuresobject—合约市场数据块或数值。
volume.futures.total_usdnumberUSD各交易所合计的 24h 合约成交量(USD 名义价值)。
volume.futures.n_exchangesnumber—参与计算的交易所数量。
volume.futures.by_exchangearray—各交易所明细。
volume.futures.by_exchange[]object—各交易所明细。
volume.futures.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
volume.futures.by_exchange[].vol_usdnumberUSD成交量,以 USD 名义价值计。
volume.futures.by_exchange[].legacy_usdnumberUSD成交量中来自 USDT 永续合约行情集合的部分。
volume.futures.by_exchange[].sd_usdnumberUSD来自已计入的其他合约(USDC 本位、币本位、交割)的部分。
volume.futures.by_exchange[].share_pctnumber%占总量的比例。
volume.futures.change_24hobject—24h 涨跌幅。
volume.futures.change_24h.pctnumber%百分比。
volume.futures.change_24h.curnumber—当前值。
volume.futures.change_24h.prevnumber—前值(基准)。
volume.futures.change_24h.n_matchednumber—对比两端都存在的条目。
volume.futures.change_24h.n_totalnumber—当前存在的条目。
volume.futures.change_24h.prev_tsnumberms基准快照的时间。
volume.futures.change_24h.basisstring—合约价格减去现货价格,或基差数据块。
volume.futures.selfdata_contractsobject—其他合约:哪些已计入,哪些仍待计入。
volume.futures.selfdata_contracts.included_usdnullUSD已计入合约总量的额外采集合约(币本位、USDC、交割)的 24h 成交量;尚无合约计入时为 null。
volume.futures.selfdata_contracts.n_includednumbercount已计入合约总量的额外采集合约数量(即拥有约 24 小时前自身快照的合约)。
volume.futures.selfdata_contracts.pending_usdnumber|nullUSD待计入条目的合计,不在总量之内。
volume.futures.selfdata_contracts.n_pendingnumbercount因缺少自身 24 小时前基准而尚未计入的额外采集合约数量;其中最大的若干个列在 `pending` 中。
volume.futures.selfdata_contracts.pendingarray—已采集但尚未计入的条目。
volume.futures.selfdata_contracts.pending[]object—已采集但尚未计入的条目。
volume.futures.selfdata_contracts.pending[].exchangestring—交易所 ID,小写(例如 `binance`)。
volume.futures.selfdata_contracts.pending[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
volume.futures.selfdata_contracts.pending[].marginstring—保证金币种类别。
volume.futures.selfdata_contracts.pending[].contract_typestring—`perpetual` 或 `delivery`。
volume.futures.selfdata_contracts.pending[].vol_usdnumberUSD成交量,以 USD 名义价值计。
volume.futures.selfdata_contracts.pending[].reasonstring—原因代码。
volume.spotobject—现货市场数据块或数值。
volume.spot.total_usdnumberUSD各交易所合计的 24h 现货成交量。
volume.spot.n_exchangesnumber—参与计算的交易所数量。
volume.spot.asofnumberms所用最新数据的时间。
volume.spot.by_exchangearray—各交易所明细。
volume.spot.by_exchange[]object—各交易所明细。
volume.spot.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
volume.spot.by_exchange[].vol_usdnumberUSD成交量,以 USD 名义价值计。
volume.spot.by_exchange[].quotestring—该交易所计入的计价货币。
volume.spot.by_exchange[].tsnumberms时间戳。
volume.spot.by_exchange[].pricenumber—以计价货币表示的最新价格(除非另有说明,为 USD 或 USDT)。
volume.spot.by_exchange[].age_snumbers该行距上次更新的秒数。
volume.spot.by_exchange[].share_pctnumber%占总量的比例。
volume.spot.change_24hobject—24h 涨跌幅。
volume.spot.change_24h.pctnumber%百分比。
volume.spot.change_24h.curnumber—当前值。
volume.spot.change_24h.prevnumber—前值(基准)。
volume.spot.change_24h.n_matchednumber—对比两端都存在的条目。
volume.spot.change_24h.n_totalnumber—当前存在的条目。
volume.spot.change_24h.prev_tsnumberms基准快照的时间。
volume.spot.change_24h.basisstring—合约价格减去现货价格,或基差数据块。
volume.ratiosobject—成交量比值:`futures_to_spot`(24h 合约成交量 ÷ 24h 现货成交量)和 `oi_to_futures_volume`;任一输入缺失时对应比值为 null。
volume.ratios.futures_to_spotnumber—合约成交量除以现货成交量。
volume.ratios.oi_to_futures_volumenumber—持仓量除以 24h 合约成交量。
volume.methodobject—以纯文本说明本响应所用的公式。
volume.method.futuresstring—合约市场数据块或数值。
volume.method.spotstring—现货市场数据块或数值。
volume.method.changestring—在所述周期内的变化。
volume.method.oi_to_futures_volumestring—`ratios.oi_to_futures_volume` 的纯文本定义:以 USD 计的总持仓量 ÷ 以 USD 计的 24h 合约成交量。
lsobject—与 `/api/sd/ls` 针对该币种返回的对象相同。
ls.coinstring—币种代码,大写(例如 BTC)。
ls.nownumberms响应生成时的服务器时间。
ls.accountobject—净多头账户与净空头账户各占全部账户的比例。
ls.account.long_pctnumber%多头占比。
ls.account.short_pctnumber%空头占比。
ls.account.rationumber—比值。
ls.account.n_exchangesnumber—参与计算的交易所数量。
ls.account.by_exchangearray—各交易所明细。
ls.account.by_exchange[]object—各交易所明细。
ls.account.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
ls.account.by_exchange[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
ls.account.by_exchange[].long_pctnumber%多头占比。
ls.account.by_exchange[].short_pctnumber%空头占比。
ls.account.by_exchange[].rationumber—比值。
ls.account.by_exchange[].updated_atnumberms该行最近一次更新的时间。
ls.account.by_exchange[].age_snumbers该行距上次更新的秒数。
ls.account.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
ls.account.by_exchange[].sourcestring—数值的来源。
ls.account.by_exchange[].periodstring—周期。
ls.top_accountobject—同上,但仅限交易所定义的大户。
ls.top_account.long_pctnumber|null%多头占比。
ls.top_account.short_pctnumber|null%空头占比。
ls.top_account.rationumber|null—比值。
ls.top_account.n_exchangesnumber—参与计算的交易所数量。
ls.top_account.by_exchangearray—各交易所明细。
ls.top_account.by_exchange[]object—各交易所明细。
ls.top_account.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
ls.top_account.by_exchange[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
ls.top_account.by_exchange[].long_pctnumber%多头占比。
ls.top_account.by_exchange[].short_pctnumber%空头占比。
ls.top_account.by_exchange[].rationumber—比值。
ls.top_account.by_exchange[].updated_atnumberms该行最近一次更新的时间。
ls.top_account.by_exchange[].age_snumbers该行距上次更新的秒数。
ls.top_account.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
ls.top_account.by_exchange[].sourcestring—数值的来源。
ls.top_account.by_exchange[].periodstring—周期。
ls.top_positionobject—大户所持仓位中多头与空头的占比。
ls.top_position.long_pctnumber|null%多头占比。
ls.top_position.short_pctnumber|null%空头占比。
ls.top_position.rationumber|null—比值。
ls.top_position.n_exchangesnumber—参与计算的交易所数量。
ls.top_position.by_exchangearray—各交易所明细。
ls.top_position.by_exchange[]object—各交易所明细。
ls.top_position.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
ls.top_position.by_exchange[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
ls.top_position.by_exchange[].long_pctnumber%多头占比。
ls.top_position.by_exchange[].short_pctnumber%空头占比。
ls.top_position.by_exchange[].rationumber—比值。
ls.top_position.by_exchange[].updated_atnumberms该行最近一次更新的时间。
ls.top_position.by_exchange[].age_snumbers该行距上次更新的秒数。
ls.top_position.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
ls.top_position.by_exchange[].sourcestring—数值的来源。
ls.top_position.by_exchange[].periodstring—周期。
ls.position_allobject—全部仓位中多头与空头的占比(限公布该数据的交易所)。
ls.position_all.long_pctnumber|null%多头占比。
ls.position_all.short_pctnumber|null%空头占比。
ls.position_all.rationumber|null—比值。
ls.position_all.n_exchangesnumber—参与计算的交易所数量。
ls.position_all.by_exchangearray—各交易所明细。
ls.position_all.by_exchange[]object—各交易所明细。
ls.position_all.by_exchange[].exchangestring—交易所 ID,小写(例如 `binance`)。
ls.position_all.by_exchange[].symbolstring—经 CoinBoss 归一化的合约代码(例如 BTCUSDT)。
ls.position_all.by_exchange[].long_pctnumber%多头占比。
ls.position_all.by_exchange[].short_pctnumber%空头占比。
ls.position_all.by_exchange[].rationumber—比值。
ls.position_all.by_exchange[].updated_atnumberms该行最近一次更新的时间。
ls.position_all.by_exchange[].age_snumbers该行距上次更新的秒数。
ls.position_all.by_exchange[].is_staleboolean—该行超出新鲜窗口时为 true;过期的行不计入合计。
ls.position_all.by_exchange[].sourcestring—数值的来源。
ls.position_all.by_exchange[].periodstring—周期。
ls.takerobject—主动买入与主动卖出成交量的占比。
ls.taker.long_pctnumber|null%多头占比。
ls.taker.short_pctnumber|null%空头占比。
ls.taker.rationumber|null—比值。
ls.taker.n_exchangesnumber—参与计算的交易所数量。
ls.taker.by_exchangearray—各交易所明细。
ls.definitionsobject—各项指标的定义。五项指标回答的是不同的问题,绝不混合。 可能缺失
ls.definitions.accountstring—账户数口径指标。 可能缺失
ls.definitions.top_accountstring—大户账户数口径指标。 可能缺失
ls.definitions.top_positionstring—大户持仓量口径指标。 可能缺失
ls.definitions.position_allstring—全部持仓量口径指标。 可能缺失
ls.definitions.takerstring—主动买入 / 卖出口径指标。 可能缺失
ls.methodobject—以纯文本说明本响应所用的公式。 可能缺失
ls.method.normalizestring—关于归一化的纯文本说明:每家交易所的数值都按比例缩放,使多头 % + 空头 % = 100,比值 = 多头 % ÷ 空头 %。 可能缺失
ls.method.aggregatestring—跨交易所聚合值。 可能缺失
ls.method.freshnessstring—纯文本新鲜度规则:显示 24 小时内更新过的行,`is_stale` 标记超过 2 小时未更新的行。 可能缺失
errorsobject—数据包中构建失败的部分,以部分名称为键;所有部分齐全时为空。 可能缺失

生成于 2026-11-11 23:00 UTC,基于 4 个真实响应。

响应示例

最近一次成功的响应过大,无法展示,因此未保存示例。请在 Playground 中调用该端点。

已验证的样本

除上面的示例外,探针还会使用以下参数调用该端点,并在每次调用时校验结构。

参数HTTP延迟结果
coin=ETH20073 ms通过
coin=SOL20059 ms通过
coin=ARKM20059 ms通过
—4002 ms通过 返回预期的错误

检查于 2026-11-13 03:57:35 UTC

详细信息

身份验证
无。公开端点。
速率限制
每个 IP 每分钟 1200 次请求
服务端缓存
15s
边缘微缓存
10s
更新频率
参见 /api/sd/oi、/api/sd/funding、/api/sd/liquidations、/api/sd/volume、/api/sd/ls(轮询间隔 60 秒至 5 分钟;爆仓实时;现货每 10 分钟)
时间窗口
每个数据块的最新快照,外加各数据块自身的滚动窗口
数据来源
单个币种的持仓量、资金费率、爆仓、成交量和多空比数据块合集,全部由 CoinBoss 自有采集器轮询约 30 家交易所(如 binance、okx、bybit、bitget、gate、hyperliquid)的公开 API 构建而成。
交易所覆盖范围
与五个单数据块端点相同;合约列表截断为 60 行
单位
USD notional for OI / volume / liquidations; funding as fraction; long/short in percent
计算方法
same builders as the five single-block endpoints
时间戳
除非字段说明另有注明,均为 Unix 纪元毫秒(UTC)
响应格式
json
稳定性
稳定
上线时间
2026-11-11

实时状态

可用检查于 2026-11-13 03:57:35 UTCHTTP 200875 ms结构一致最新数据点距今 0s

近 30 天可用性

411 次检查中 100% 通过

最近一次探测发现结构漂移
  • 实际返回但文档未记载: oi.coverage.stale_excluded[], oi.coverage.stale_excluded[].exchange, oi.coverage.stale_excluded[].symbol, oi.coverage.stale_excluded[].oi_usd, oi.coverage.stale_excluded[].age_s, oi.coverage.stale_excluded[].reason, ls.taker.by_exchange[], ls.taker.by_exchange[].exchange, ls.taker.by_exchange[].symbol, ls.taker.by_exchange[].long_pct

错误

所有端点的失败响应格式一致。完整列表见错误页面。 错误与速率限制 →

错误码HTTP含义处理方式
INVALID_PARAM400缺少必填参数,或某个取值不被接受。已知是哪个参数时,`param` 会给出其名称。请勿原样重试;请修正请求。
UNAUTHORIZED401已发送 `CB-API-KEY` 请求头,但该密钥未知或已被吊销。公开数据无需密钥,请去掉该请求头或使用有效密钥。请勿原样重试。
FORBIDDEN403该路由不属于公开 API(内部或仅限账户使用)。请勿重试。
NOT_FOUND404未知路由,或所请求的币种 / 交易所 / 基金不存在。请勿重试;请对照目录检查路径和标识符。
RATE_LIMITED429请求数超过每分钟限额。`Retry-After` 给出需要等待的秒数。等待 `Retry-After` 指定的时间后,再以退避方式重试。
INTERNAL500意外的服务器错误。错误信息有意保持通用;报告问题时请附上 `request_id`。几秒后重试一次;若问题持续,请附上请求 ID 报告。
UPSTREAM_FAILED503该端点背后的数据源未及时响应。不会返回过期数据或替代数值来顶替。以退避方式重试;并查看状态页。
UNAVAILABLE501 / 503数据集暂时未就绪(缓存预热中),或该端点尚无合法的公开数据源。请稍后重试;目录会标出因设计原因而不可用的端点。
REQUEST_FAILED200部分较旧的端点会以 HTTP 200 返回 `success: false`。请务必检查 `success`,而不只是 HTTP 状态码。取决于具体信息;按请求失败处理。

试一试

GET/api/sd/coin可用
参数

string — Coin symbol; 400 when missing. Alias: `base`.

请求 URLhttps://www.coinboss.com/api/sd/coin?coin=BTC
选择一个端点,然后点击“发送请求”。响应、响应头和耗时将显示在这里。